Query
curl --request GET \
--url https://api.sandbox.wepayout.com.br/v2/register/companies/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.wepayout.com.br/v2/register/companies/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.wepayout.com.br/v2/register/companies/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"event": "onboarding",
"url": "https://my-url.requestcatcher.com/test"
}
]
Webhook
Query
Query the registered webhook URLs
GET
/
v2
/
register
/
companies
/
webhooks
Query
Query
This endpoint allows querying the registered webhook URLs. Filtering can only be done using the event field.- If the event parameter is provided, only the webhooks related to that event will be returned
- If no filter is provided, all registered webhooks will be returned
Query Parameters
Get a list of webhooks for a specific event type. Currently, only the
onboarding event is supported.Allowed values: onboardingResponse
Returns an array of webhook objects.Request Example
curl --request GET \
--url 'https://api.sandbox.wepayout.com.br/v2/register/companies/webhooks' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {token}'
const response = await fetch('https://api.sandbox.wepayout.com.br/v2/register/companies/webhooks', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_TOKEN'
}
});
const data = await response.json();
console.log(data);
import requests
url = 'https://api.sandbox.wepayout.com.br/v2/register/companies/webhooks'
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_TOKEN'
}
response = requests.get(url, headers=headers)
print(response.json())
[
{
"event": "onboarding",
"url": "https://my-url.requestcatcher.com/test"
}
]
Was this page helpful?
⌘I

